Bug 1279729 - [Docs] [REST] [RFE] add API for Cluster Fencing Policy
[Docs] [REST] [RFE] add API for Cluster Fencing Policy
Status: NEW
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity medium
: ovirt-4.2.0
: ---
Assigned To: rhev-docs@redhat.com
: FutureFeature
Depends On: 1127592
Blocks: 1148393
  Show dependency treegraph
 
Reported: 2015-11-10 02:00 EST by Tahlia Richardson
Modified: 2017-02-07 03:12 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1176555
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 33713 None None None Never

  None (edit)
Description Tahlia Richardson 2015-11-10 02:00:59 EST
Feature: 
Add API support for cluster fencing policy.

Reason: 
In 3.5 we introduced fencing policy per cluster, but they were supported in the UI only. This feature adds API support as well.

Result: 
Clusters retrieved from REST will have now the following section, which can be also set. For example:

<fencing_policy>
        <enabled>true</enabled>
        <skip_if_sd_active>
            <enabled>false</enabled>
        </skip_if_sd_active>
        <skip_if_connectivity_broken>
            <enabled>false</enabled>
            <threshold>50</threshold>
        </skip_if_connectivity_broken>
 </fencing_policy>

+++ This bug was initially created as a clone of Bug #1176555 +++

+++ This bug was initially created as a clone of Bug #1127592 +++

In 3.5 we added fencing policy support to the engine, only with UI support. We need to add API support as well.
Comment 1 Yaniv Lavi (Dary) 2016-05-09 07:00:29 EDT
oVirt 4.0 Alpha has been released, moving to oVirt 4.0 Beta target.
Comment 3 Juan Hernández 2016-11-08 08:53:31 EST
As far as I know this hasn't been addressed in the specification of the API for 4.0.5, so I am re-targeting to 4.0.6.

Note You need to log in before you can comment on or make changes to this bug.